{% extends 'base.html' %}
{% load static %}
{% block content %}

    {#            <h1 style="text-align: center">Lorenzo Barone</h1>#}
    {#    <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">#}
    {#  <div class="carousel-indicators">#}
    {#    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>#}
    {#    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1" aria-label="Slide 2"></button>#}
    {#    <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2" aria-label="Slide 3"></button>#}
    {#  </div>#}
    {#  <div class="carousel-inner">#}
    {#    <div class="carousel-item active">#}
    {#      <img src="{% static 'lorenzo_barone/images/pexels-joyston-judah-933054.jpg' %}" class="d-block w-100" alt="...">#}
    {#      <div class="carousel-caption d-none d-md-block">#}
    {#        <h5>Turkey</h5>#}
    {#        <p>Second Time in Turkey</p>#}
    {#      </div>#}
    {#    </div>#}
    {#    <div class="carousel-item">#}
    {#      <img src="{% static 'lorenzo_barone/images/paladini-mauro-zp6zdiiO7XY-unsplash.jpg' %}" class="d-block w-100" alt="...">#}
    {#      <div class="carousel-caption d-none d-md-block">#}
    {#        <h5>Second slide label</h5>#}
    {#        <p>Some representative placeholder content for the second slide.</p>#}
    {#      </div>#}
    {#    </div>#}
    {#    <div class="carousel-item">#}
    {#      <img src="{% static 'lorenzo_barone/images/tim-stief-YFFGkE3y4F8-unsplash.jpg' %}" class="d-block w-100" alt="...">#}
    {#      <div class="carousel-caption d-none d-md-block">#}
    {#        <h5>Third slide label</h5>#}
    {#        <p>Some representative placeholder content for the third slide.</p>#}
    {#      </div>#}
    {#    </div>#}
    {#  </div>#}
    {#  <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev">#}
    {#    <span class="carousel-control-prev-icon" aria-hidden="true"></span>#}
    {#    <span class="visually-hidden">Previous</span>#}
    {#  </button>#}
    {#  <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="next">#}
    {#    <span class="carousel-control-next-icon" aria-hidden="true"></span>#}
    {#    <span class="visually-hidden">Next</span>#}
    {#  </button>#}
    {#</div>#}
    {#   <br/> <br/>#}
    {#    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"#}
    {#          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">#}
    <main>

        <style>
            .card-img-top {
                width: 100%;
                height: 40vh;
                object-fit: cover;
            {#object-fit: contain;#}

            }

            .info {
                text-align: center;
            }

            body {
                background: #e5ded8;
                box-sizing: border-box;
            }
        </style>

        <ul>
            {% for post in object_list %}
                {#                        <li><a href="{% url 'article-detail' post.pk %}">{{ post.title }}</a>#}
                {##}
                {#                            - <a href="{% url 'category' post.category|slugify %}">{{ post.category }}</a>#}
                {#                            - {{ post.author.first_name }} {{ post.author.last_name }} -#}
                {#                            {{ post.post_date }}#}
                {#                            <small>#}
                {##}
                {#                                {% if user.is_authenticated %}#}
                {#                                    {% if user.id == post.author.id %}#}
                {#                                        - <a href="{% url 'update_post' post.pk %}">(Edit)</a>#}
                {##}
                {#                                        <a href="{% url 'delete_post' post.pk %}">(Delete)</a>#}
                {#                                    {% endif %}#}
                {#                                {% endif %}#}
                {##}
                {#                            </small> <br/>#}
                {##}
                {#                        </li>#}


                <div class="card mb-3">

                    <div class="card">

                        <img src="{{ post.header_image.url }}" class="card-img-top"
                             alt="{{ post.title }}">

                        <div class="card-body">
                            <h5>
                                <a href="{% url 'article-detail' post.pk %}">{{ post.title }}</a> -
                                <a href="{% url 'category' post.category|slugify %}">{{ post.category }}</a></h5>

                            <p class="card-text">{{ post.body|slice:":300"|safe }}</p>
                            <a href="{% url 'article-detail' post.pk %}">...click here to see more</a>

                            <br/><br/>
                            <p class="card-text"><small class="text-muted">By:
                                {{ post.author.first_name }}
                                {{ post.author.last_name }} - {{ post.post_date }}</small></p>
                        </div>
                    </div>
                </div>

                <br/>
            {% endfor %}
        </ul>
    </main>




{% endblock %}